@bsight/smart-prestashop-api

### Smart PrestaShop API

## Installation

```bash
$ npm i smart-prestashop-api
```

## Features

- Communicate with prestashop webservice in javascript

## Basic usage

```javascript
const PrestaShop = require("smart-prestashop-api");

const options = {
    url: 'http://my-prestashop.com/',
    token: '<TOKEN>'
};

const clients = new PrestaShop(options);

await clients.get({
        resource: 'customers',
        display: 'full',
        limit: 15
    }
);
```

### Different requests

- `get` Retrieves data from the resource passed in parameter
- `post` Create data with a body
- `put` Modify data by entering a body and filters
- `delete` Delete data by entering a body and filters like the put request
